libnvme(2)

NAME
struct nvme_ns_attach_args - Arguments for Nvme Namespace Management command

SYNOPSIS
struct nvme_ns_attach_args {
__u32 *result;
struct nvme_ctrl_list *ctrlist;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_ns_attach_sel sel;
};

Members

result
    NVMe command result

ctrlist
    Controller list to modify attachment state of nsid

args_size
    Size of struct nvme_ns_attach_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace ID to execute attach selection

sel Attachment selection, see enum nvme_ns_attach_sel